Subject: Re: [patch 1/2] powerpc: Sky CPU: redundant or incorrect tests on unsigned

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 04 Feb 2010 11:18:35 +1100

On Wed, 2010-02-03 at 19:10 -0500, support wrote:
> The sky cpu is a PPC7448.
> I'm actually amazed that you guys are still working on a problem for
> a 
> product that was finished a number of years ago, at the request of
> someone 
> who hasn't worked here for years.
> I sorry you, seem to have been wasting your time.
> I think, but am NOT sure,  that our HAA function sets it off.
> http://www.skycomputers.com/Systems/HAA_HMM.php
> 
> Still, we have finished the product some time ago, and as far as
> reported 
> have no problems.
> Again, I'm sorry you have wasted any time on this, we just recently
> found 
> these emails.

Well, there seem to be some code in the Linux kernel related to that CPU
that is either dead or incomplete. So if you guys have no interest in
it, we might just rip it out completely.

Cheers,
Ben.